Bug 1032672 - [abrt] keepassx-0.4.3-7.fc19: QAbstractItemView::model: Process /usr/bin/keepassx was killed by signal 11 (SIGSEGV)
[abrt] keepassx-0.4.3-7.fc19: QAbstractItemView::model: Process /usr/bin/keep...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: keepassx (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:828f75aecd0d5dff068de37c972...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 09:55 EST by James Boyle
Modified: 2016-07-19 06:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:37:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.42 KB, text/plain)
2013-11-20 09:55 EST, James Boyle
no flags Details
File: cgroup (142 bytes, text/plain)
2013-11-20 09:55 EST, James Boyle
no flags Details
File: core_backtrace (1.28 KB, text/plain)
2013-11-20 09:56 EST, James Boyle
no flags Details
File: dso_list (9.22 KB, text/plain)
2013-11-20 09:56 EST, James Boyle
no flags Details
File: environ (1.71 KB, text/plain)
2013-11-20 09:56 EST, James Boyle
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-20 09:56 EST, James Boyle
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-20 09:56 EST, James Boyle
no flags Details
File: maps (48.74 KB, text/plain)
2013-11-20 09:56 EST, James Boyle
no flags Details
File: open_fds (392 bytes, text/plain)
2013-11-20 09:56 EST, James Boyle
no flags Details
File: proc_pid_status (956 bytes, text/plain)
2013-11-20 09:56 EST, James Boyle
no flags Details
File: var_log_messages (325 bytes, text/plain)
2013-11-20 09:56 EST, James Boyle
no flags Details

  None (edit)
Description James Boyle 2013-11-20 09:55:44 EST
Description of problem:
Deleted the "Backups" group, then clicked "sort groups", then keepasx crashed.

Version-Release number of selected component:
keepassx-0.4.3-7.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        keepassx
crash_function: QAbstractItemView::model
executable:     /usr/bin/keepassx
kernel:         3.11.8-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QAbstractItemView::model at itemviews/qabstractitemview.cpp:711
 #1 QTreeWidgetItem::executePendingSort at itemviews/qtreewidget.cpp:2194
 #2 indexOfChild at /usr/include/QtGui/qtreewidget.h:251
 #3 KeepassGroupView::OnSort at lib/GroupView.cpp:523
 #4 KeepassGroupView::qt_static_metacall at ../build/moc/moc_GroupView.cpp:92
 #5 QMetaObject::activate at kernel/qobject.cpp:3547
 #6 QAction::triggered at .moc/release-shared/moc_qaction.cpp:276
 #7 QAction::activate at kernel/qaction.cpp:1257
 #8 QMenuPrivate::activateCausedStack at widgets/qmenu.cpp:1038
 #9 QMenuPrivate::activateAction at widgets/qmenu.cpp:1130
Comment 1 James Boyle 2013-11-20 09:55:52 EST
Created attachment 826684 [details]
File: backtrace
Comment 2 James Boyle 2013-11-20 09:55:57 EST
Created attachment 826685 [details]
File: cgroup
Comment 3 James Boyle 2013-11-20 09:56:00 EST
Created attachment 826686 [details]
File: core_backtrace
Comment 4 James Boyle 2013-11-20 09:56:04 EST
Created attachment 826687 [details]
File: dso_list
Comment 5 James Boyle 2013-11-20 09:56:07 EST
Created attachment 826688 [details]
File: environ
Comment 6 James Boyle 2013-11-20 09:56:12 EST
Created attachment 826689 [details]
File: exploitable
Comment 7 James Boyle 2013-11-20 09:56:15 EST
Created attachment 826690 [details]
File: limits
Comment 8 James Boyle 2013-11-20 09:56:18 EST
Created attachment 826691 [details]
File: maps
Comment 9 James Boyle 2013-11-20 09:56:23 EST
Created attachment 826692 [details]
File: open_fds
Comment 10 James Boyle 2013-11-20 09:56:26 EST
Created attachment 826693 [details]
File: proc_pid_status
Comment 11 James Boyle 2013-11-20 09:56:29 EST
Created attachment 826694 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 15:38:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 14:19:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 James Boyle 2015-07-01 16:01:03 EDT
Same issue on F21....

Delete the "Backups" group, click "sort groups", then Keepassx will crash.
Comment 15 Fedora End Of Life 2015-11-04 06:17:34 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 James Boyle 2015-11-04 08:16:59 EST
The same issue exists on Fedora 22
Comment 17 Fedora End Of Life 2016-07-19 06:37:02 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.